#
# Makefile for the K8000 HOWTO
#
# Copyright (C) 2001 Heimo Schön <heimo.schoen@gmx.at>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


OPT = --charset=latin --language=de --papersize=a4

all: k8000-howto.html k8000-howto.ps k8000-howto.txt k8000-howto-html.tgz k8000-howto.tgz
        # Veröffentlichen der Compilate und Scripts
	scp K8000-HOWTO.html      schoen@elina.htlw16.ac.at:public_html
	scp velleman.tgz          schoen@elina.htlw16.ac.at:public_html
	scp k8000*                schoen@elina.htlw16.ac.at:public_html
	scp *.gif                 schoen@elina.htlw16.ac.at:public_html
	scp K8000-HOWTO.html      pc104-1:/home/heimo/public_html
	scp velleman.tgz          pc104-1:/home/heimo/public_html
	scp k8000*                pc104-1:/home/heimo/public_html
	scp *.gif                 pc104-1:/home/heimo/public_html

html: k8000-howto.html

k8000-howto.html: k8000-howto.sgml
	sgml2html --language=deutsch -s 1  ${OPT} --imagebuttons k8000-howto.sgml

k8000-howto.ps: k8000-howto.sgml
	sgml2latex  --language=deutsch --output=ps  ${OPT} k8000-howto.sgml
	sgml2latex  --language=deutsch --output=dvi ${OPT} k8000-howto.sgml
	sgml2latex  --language=deutsch --output=tex ${OPT} k8000-howto.sgml
	rm -f texput.log 

k8000-howto.txt: k8000-howto.sgml
	sgml2txt --language=deutsch k8000-howto.sgml

k8000-howto.tgz: k8000-howto.sgml
	tar cvzf k8000-howto.tgz k8000-howto.sgml next.gif prev.gif toc.gif Makefile

k8000-howto-html.tgz: k8000-howto.sgml
	tar cvzf k8000-howto-html.tgz *.html *.gif

clean:
	rm -f *~ k8000-howto*.html k8000-howto.ps k8000-howto.dvi k8000-howto.tex k8000-howto.txt k8000-howto.tgz k8000-howto-html.tgz texput.log 
